## org.ascape.query.parser
Class QTSubExpression

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTSubExpression

All Implemented Interfaces:
  Node

    public class QTSubExpression

extends SimpleNode

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTSubExpression(BoolExprTree p, int id)`
`QTSubExpression(int id)`

Method Summary

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTSubExpression

    public QTSubExpression(int id)

### QTSubExpression

    public QTSubExpression(BoolExprTree p,
                           int id)